Package com.trilead.ssh2.packets

# Class PacketChannelOpenConfirmation

java.lang.Object
com.trilead.ssh2.packets.PacketChannelOpenConfirmation

public class PacketChannelOpenConfirmation extends Object
PacketChannelOpenConfirmation.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`initialWindowSize`
`int`
`maxPacketSize`
`int`
`recipientChannelID`
`int`
`senderChannelID`

## Constructor Summary

Constructors
Constructor
Description
`PacketChannelOpenConfirmation(byte[] payload, int off, int len)`
`PacketChannelOpenConfirmation(int recipientChannelID, int senderChannelID, int initialWindowSize, int maxPacketSize)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### recipientChannelID

public int recipientChannelID

### senderChannelID

public int senderChannelID

### initialWindowSize

public int initialWindowSize

### maxPacketSize

public int maxPacketSize

## Constructor Details

### PacketChannelOpenConfirmation

public PacketChannelOpenConfirmation(int recipientChannelID, int senderChannelID, int initialWindowSize, int maxPacketSize)

### PacketChannelOpenConfirmation

public PacketChannelOpenConfirmation(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getPayload

public byte[] getPayload()